
Katello - Bug #4091

RHEL sytems without product ceritifcate see no Repositories

01/16/2014 05:47 PM - Katello Issue Migration

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

a)  On a system, remove the product certificate:  mv  /etc/pki/product/69.pem /tmp

b) register to katello to an environment that has rhel

c)  subscribe to rhel

d)  run 'yum repolist'

Results:  No repos listed

Expected results:  RHEL repo listed

Moving 69.pem back into place magically makes the repos appear in yum repolist

Created: jlsherrill on May 10, 2013 14:48 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/2245

Comment 1   

alikins_ | ah, yeah, that's product required-tag stuff kicking in

alikins_ | those repo's require something that provides 'rhel-6-server', ala the 69.pem

jsherrill | ahhh

jsherrill | so there's no way to attach it to the rhel repo unless that cert is there

alikins_ | ah, true

alikins_ | was thinking you could, since you can with our test data repo's

alikins_ | but they dont have the required tags stuff

jsherrill | ahh

alikins_ | so that does make it hard to get rhel repo's if you dont have the rhel productid installed at anaconda time

jsherrill | yeah :/

jsherrill | or if you're using an older rhel 5

alikins_ | true, and not sure if the migration tool will help if you were subscribed to rhn

alikins_ | I'm not confident the required-tags stuff is relevant anymore, that may be something we could remove for #rhsm2013

Created: jlsherrill on May 10, 2013 15:33 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/comments/17727181

History

#1 - 06/03/2014 08:07 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to No

#2 - 06/03/2014 08:07 PM - Eric Helms

Being fixed in RHEL.

#3 - 06/05/2014 03:32 AM - Eric Helms

- Triaged changed from No to Yes
#4 - 08/21/2014 02:28 PM - Eric Helms

- translation missing: en.field_release set to 13
